import { title } from "process";
import { httpGetInterceptor } from "../http-config/http-interceptor-service";
import { postAPIInterceptor } from "@/config/api";

export async function paginationBlog(
  size: number,
  page: number,
  title: string = ""
) {
  return await httpGetInterceptor(
    `blog/pagination?enablePage=1&page=${page}&size=${size}&title=${title}`
  );
}

export async function postBlog(data: any) {
  const url = "blog";
  return postAPIInterceptor(url, data);
}
